// Code generated by go-swagger; DO NOT EDIT.

package application_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "gitlab.com/kathra/kathra/kathra-services/kathra-runtimemanager/kathra-runtimemanager-go/kathra-runtimemanager-interface/models"
)

// GetRuntimeAppServicesOKCode is the HTTP code returned for type GetRuntimeAppServicesOK
const GetRuntimeAppServicesOKCode int = 200

/*GetRuntimeAppServicesOK RuntimeAppService from RuntimeAppInstance

swagger:response getRuntimeAppServicesOK
*/
type GetRuntimeAppServicesOK struct {

	/*
	  In: Body
	*/
	Payload *models.RuntimeAppService `json:"body,omitempty"`
}

// NewGetRuntimeAppServicesOK creates GetRuntimeAppServicesOK with default headers values
func NewGetRuntimeAppServicesOK() *GetRuntimeAppServicesOK {

	return &GetRuntimeAppServicesOK{}
}

// WithPayload adds the payload to the get runtime app services o k response
func (o *GetRuntimeAppServicesOK) WithPayload(payload *models.RuntimeAppService) *GetRuntimeAppServicesOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get runtime app services o k response
func (o *GetRuntimeAppServicesOK) SetPayload(payload *models.RuntimeAppService) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetRuntimeAppServicesOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
